#!/usr/bin/make -f

export DH_VERBOSE=1
export GNUPGHOME=$(CURDIR)/debian/gnupghome
webext-ublock-origin-firefox_upstream-version=$(shell ls components/ublock_origin*.xpi | sed 's/.*components\/ublock_origin-\([[:digit:].]\+\)\.xpi/\1/')
debian-revision=$(shell dpkg-parsechangelog -ldebian/changelog -SVersion | sed 's/.*-//')

%:
	dh $@
	
checksigs:
	mkdir -p $(GNUPGHOME)
	gpg --import $(CURDIR)/debian/mozilla_key.asc
	gpg --verify $(CURDIR)/components/*.tar.bz2.asc
	# Use the dh_build target to verify upstream binary component checksums
	# Language pack: fr
	(cd $(CURDIR)/components/lang; sha256sum --check --status fr.xpi.sha256)
	# Extension: uBlock Origin
	(cd $(CURDIR)/components; sha256sum --check --status ublock_origin-*.xpi.sha256)

override_dh_install: checksigs
	dh_install --sourcedir=.
	# Firefox ESR
	tar --strip-components=1 -C $(CURDIR)/debian/firefox-esr/usr/lib/upstream-firefox-esr-repackaged -jxvf components/firefox-*.tar.bz2

override_dh_clean:
	-rm -rf $(GNUPGHOME)
	dh_clean

override_dh_gencontrol:
	dh_gencontrol -Nwebext-ublock-origin-firefox
	dh_gencontrol -pwebext-ublock-origin-firefox -- -v${webext-ublock-origin-firefox_upstream-version}-${debian-revision}

override_dh_installdocs:
	# skip
override_dh_perl:
	# skip
override_dh_strip_nondeterminism:
	# skip
override_dh_fixperms:
	# skip
override_dh_strip:
	# skip
override_dh_makeshlibs:
	# skip

